/***************************************************************************
 *   Copyright (C) 2004 by Trenton Carr                                    *
 *   trenton.carr@gmail.com                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/

#ifndef TRIGVIEW_H
#define TRIGVIEW_H

#include "ui_TrigViewerD.h"
//Added by qt3to4:
#include <QPaintEvent>

class KPlotWidget;

class Deg_Theta;

class KRestrictedLine;

/**@class TrigViewer
   *@short Display a Trig Cartesian Plane
   *@version 1.0
   *@author Trenton Carr
   */

class TrigView : public TrigViewD
{
    Q_OBJECT

public:
    TrigView(QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~TrigView();

public slots:
    void updateAngle();
    void setSinThetaOut();
    void setCosThetaOut();
    void setTanThetaOut();
    void setCotThetaOut();
    void setSecThetaOut();
    void setCosecThetaOut();

protected:
    virtual void paintEvent( QPaintEvent* );
    KRestrictedLine *TrigRatioOut[6];

private:
    void initObjects();
    KPlotWidget *pw;
    Deg_Theta *deg;
};

#endif
