/***************************************************************************
 *   Copyright (C) 2010 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#if !defined(CHOOSEPROFILEDIALOG__H)

#define CHOOSEPROFILEDIALOG__H

#include <QDialog>

#include "ui_chooseprofiledialog.h"

class QWidget;
class QListWidgetItem;

class ChooseProfileDialog : public QDialog, public Ui::ChooseProfileDialog
{
	Q_OBJECT
	Q_DISABLE_COPY(ChooseProfileDialog)

	public:
		ChooseProfileDialog(QWidget* parent);
		~ChooseProfileDialog();

	public:
		QString profileName() const;

	protected:
		void setupDialog();
		void setupConnections();

	protected slots:
		void onItemActivated(QListWidgetItem*);
		void onItemSelectionChanged();
};

#endif
