/***************************************************************************
 *   Copyright (C) 2008,2010 by Volker Lanz <vl@fidra.de>                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
 ***************************************************************************/

#if !defined(HELPERS__H)

#define HELPERS__H

#include <QList>

class QString;
class QPoint;
class QTreeView;
class QPixmap;
class QByteArray;

namespace Solid
{
	class Device;
}


bool caseInsensitiveLessThan(const QString& s1, const QString& s2);

void showColumnsContextMenu(const QPoint& p, QTreeView& tree);

void loadTreeWidgetHeaderConfig(QTreeView* tree, const QList<int>& colWidths, const QList<int>& colPositions, const QList<int>& colVisible);

QList<int> treeViewHeaderColWidths(QTreeView* tree);
QList<int> treeViewHeaderColPositions(QTreeView* tree);
QList<int> treeViewHeaderColVisible(QTreeView* tree);

QByteArray pixmapToByteArray(const QPixmap& p);

#endif
