/***************************************************************************
 *   Copyright (C) 2010 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
 ***************************************************************************/

#if !defined(VENEER__MESSAGEBOX__H)

#define VENEER__MESSAGEBOX__H

#include <QObject>

class QWidget;
class QString;
class QStringList;

namespace Veneer
{

	int messageBoxQuestionYesNo(QWidget* parent, const QString& text, const QString& caption = QString(), const QString& textYes = QObject::tr("Yes"), const QString& textNo = QObject::tr("No"), const QString& dontAskAgainName = QString());

	int messageBoxQuestionYesNoCancel(QWidget* parent, const QString& text, const QString& caption = QString(), const QString& textYes = QObject::tr("Yes"), const QString& textNo = QObject::tr("No"), const QString& textCancel = QObject::tr("Cancel"), const QString& dontAskAgainName = QString());

	int messageBoxQuestionYesNoList(QWidget* parent, const QString& text, const QStringList& list, const QString& caption = QString(), const QString& textYes = QObject::tr("Yes"), const QString& textNo = QObject::tr("No"), const QString& dontAskAgainName = QString());

	void messageBoxInformation(QWidget* parent, const QString& text, const QString& caption = QString(), const QString& dontShowAgainName = QString());

	void messageBoxError(QWidget* parent, const QString& text, const QString& caption = QString());

}

#endif
