/***************************************************************************
 *   Copyright (C) 2010 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#include "veneer/io.h"

#include "veneer/messagebox.h"

#include <QString>
#include <QFile>
#include <QDebug>

namespace Veneer
{

	bool copyFile(QWidget* parent, const QString& src, const QString& dest)
	{
		if (QFile::exists(dest))
			QFile::remove(dest);

		if (!QFile::copy(src, dest))
		{
			messageBoxError(parent, QObject::tr("Could not copy file '%1' to '%2'.").arg(src).arg(dest), QObject::tr("Error Copying File"));
			return false;
		}

		return true;
	}

}
